Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nodejs-numeral
Version:        2.0.6
Release:        alt1_5
Summary:        A javascript library for formatting and manipulating numbers

License:        MIT
URL:            https://github.com/adamwdraper/Numeral-js
Source0:        https://registry.npmjs.org/numeral/-/numeral-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/numeral
cp -pr package.json numeral.js locales.js %{buildroot}%{nodejs_sitelib}/numeral
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha tests/**/*.js


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/numeral


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.6-alt1_5
- new version

